Subject: [linux-sunxi] Re: [PATCH v8 2/2] ASoc: sun4i-codec: Add FM, Line and Mic inputs

From: [email-masked] (Danny Milosavljevic)
Date: Sat, 12 Mar 2016 08:52:22 +0100

Hi,

does anyone know the answer to the questions below?

> The other direction (making two controls which both do the same and update 
> each other's value) doesn't seem to be easily available. 

> Should I write a _put handler that does it manually?

> (Or should that be handled by alsa-lib mixer modules instead?)

> Is it possible to merge the "Left Mixer" control and respective 
> "Right Mixer" control into one selem in alsamixer?
> 
> Because alsamixer actually has support for one-sided muting.

If that's unknown, I can post v9 without doing the grouping-together of mixer controls and we can use it like that - I don't want the patch to stall indefinitely on mere usability issues...

Regards,
    Danny